Part Box/cs: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
 
(9 intermediate revisions by 2 users not shown)
Line 1: Line 1:
<languages/>
<languages/>

{{Docnav
{{Docnav
|
|
|[[Part_Cylinder|Cylinder]]
|[[Part_Cylinder|Cylinder]]
|[[Part_Module|Part]]
|[[Part_Workbench|Part]]
|IconL=
|IconL=
|IconR=Part_Cylinder.svg
|IconR=Part_Cylinder.svg
Line 10: Line 11:


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
{{GuiCommand/cs|Name=Part Box|MenuLocation=Part → Box||Workbenches=[[Part Module|Part]], Complete|SeeAlso=[[Part_CreatePrimitives|Part CreatePrimitives]]}}
{{GuiCommand/cs|Name=Part Box|MenuLocation=Part → Box||Workbenches=[[Part_Workbench|Part]], Complete|SeeAlso=[[Part_CreatePrimitives|Part CreatePrimitives]]}}
</div>
</div>


==Description==
== Description ==
The Box command from the [[Part_Workbench|Part Workbench]] inserts a parametric, [http://en.wikipedia.org/wiki/Cuboid#Rectangular_cuboid rectangular cuboid], geometric primitive into the active document. By default, the Box command will insert a 10x10x10 mm cube, positioned at the origin, with the label "cube". These parameters may be modified after the object has been added.


The [[Image:Part_Box.svg|24px]] '''Part Box''' command creates a parametric box solid, a [https://en.wikipedia.org/wiki/Cuboid#Rectangular_cuboid rectangular cuboid]. In the coordinate system defined by its {{PropertyData|Placement}} property, the bottom face of the box lies on the XY plane with its front left corner at the origin, and its front edge parallel to the X axis.
[[Image:Part_Box.jpg|400px|Part_Box]]


[[Image:Part_Box_Example.png|400px]]
==Notes==
* {{VersionPlus|0.14}} a [[Part Box]] is referred to in the GUI elements as a '''Cube''' and the default label is "Cube".


==Usage==
== Usage ==
# Switch to the [[Image:Workbench_Part.svg|24px]] [[Part Workbench]]
# Invoke the command several ways:
#* Press the {{KEY|[[Image:Part Box.svg|24px]]}} button in the toolbar.
#* Select the {{MenuCommand|Part → Primitives → Cube}} from the menu bar.


<div class="mw-translate-fuzzy">
==Options==
V datové záložce boxu mohou být později upravovány vlastnosti objektu:
* Via the [[Property_editor | Property Editor]]:
</div>
** '''Length:''' Set the length distance for your Box object (default is 10 mm).
** '''Width:''' Set the width distance for your Box object (default is 10 mm).
** '''Height:''' Set the height distance for your Box object (default is 10 mm).
** '''Placement:''' Specifies the orientation and position of the Box in the 3D space. See [[Placement | Placement]]. The reference point is the left front lower corner of the box.
** '''Label:''' The Label is the name given to the operation. This name can be changed at your convenience.


==Properties==
== Example ==
{{Properties_Title|Base}}
*{{PropertyData|Placement}}: Specifies the orientation and position of the Box in the 3D space. See [[Placement | Placement]]. The reference point is the left front lower corner of the box.
*{{PropertyData|Label}}: Label given to the Box object. Change to suit your needs.


[[Image:Part_Box_Scripting_Example.png|thumb|Part Box from the scripting example]]
{{Properties_Title|Box}}
*{{PropertyData|Length}}: The length parameter is the Box's dimension in the x-direction.
*{{PropertyData|Width}}: The width parameter is the Box's dimension in the y-direction.
*{{PropertyData|Height}}: The height parameter is the Box's dimension in the z-direction.


A Part Box object created with the [[#Scripting|scripting example]] below is shown here.
[[Image:Part_Box-Properties.jpg|Part_Box-Properties]]


==Scripting==
== Notes ==

The Box command can by used in [[macros]] and from the python console using the following function:
* A Part Box can also be created with the [[Image:Part_Primitives.svg|16px]] [[Part_Primitives|Part Primitives]] command. With that command you can specify the dimensions and placement at creation time.
{{Code|code=

FreeCAD.ActiveDocument.addObject("Part::Box", "myBox")
== Properties ==
}}

* Where "myBox" is the label for the Box object.
See also: [[Property_editor|Property editor]].
* Returns newly created object of type Box.

A Part Box object is derived from a [[Part_Feature|Part Feature]] object and inherits all its properties. It also has the following additional properties:

=== Data ===

{{TitleProperty|Attachment}}

The object has the same attachment properties as a [[Part_Part2DObject#Data|Part Part2DObject]].

{{TitleProperty|Box}}

* {{PropertyData|Length|Length}}: The length of the box. This is the dimension in its X direction. The default is {{Value|10mm}}.
* {{PropertyData|Width|Length}}: The width of the box. This is the dimension in its Y direction. The default is {{Value|10mm}}.
* {{PropertyData|Height|Length}}: The height of the box. This is dimension in its Z direction. The default is {{Value|10mm}}.

== Scripting ==

See also: [https://freecad.github.io/SourceDoc/ Autogenerated API documentation], [[Part_scripting|Part scripting]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].

A Part Box can be created with the {{Incode|addObject()}} method of the document:


You can access and modify attributes of the Box object. For example, you may wish to modify the length, width and height parameters.
{{Code|code=
{{Code|code=
FreeCAD.ActiveDocument.myBox.Length = 25
box = FreeCAD.ActiveDocument.addObject("Part::Box", "myBox")
FreeCAD.ActiveDocument.myBox.Width = 15
FreeCAD.ActiveDocument.myBox.Height = 30
}}
}}


* Where {{Incode|"myBox"}} is the name for the object.
You can change its placement with:
* The function returns the newly created object.

Example:

{{Code|code=
{{Code|code=
import FreeCAD as App
FreeCAD.ActiveDocument.myBox.Placement = FreeCAD.Placement(FreeCAD.Vector(4, 6, 3), FreeCAD.Rotation(30, 45, 10))

doc = App.activeDocument()

box = doc.addObject("Part::Box", "myBox")
box.Length = 4
box.Width = 8
box.Height = 12
box.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(75, 60, 30))

doc.recompute()
}}
}}


Line 71: Line 87:
|
|
|[[Part_Cylinder|Cylinder]]
|[[Part_Cylinder|Cylinder]]
|[[Part_Module|Part]]
|[[Part_Workbench|Part]]
|IconL=
|IconL=
|IconR=Part_Cylinder.svg
|IconR=Part_Cylinder.svg
Line 77: Line 93:
}}
}}


{{Part Tools navi{{#translation:}}}}
{{Part_Tools_navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Latest revision as of 09:01, 4 March 2022

Part Box

Umístění Menu
Part → Box
Pracovní stoly
Part, Complete
Výchozí zástupce
Nikdo
Představen ve verzi
-
Viz také
Part CreatePrimitives

Description

The Part Box command creates a parametric box solid, a rectangular cuboid. In the coordinate system defined by its ÚdajePlacement property, the bottom face of the box lies on the XY plane with its front left corner at the origin, and its front edge parallel to the X axis.

Usage

V datové záložce boxu mohou být později upravovány vlastnosti objektu:

Example

Part Box from the scripting example

A Part Box object created with the scripting example below is shown here.

Notes

  • A Part Box can also be created with the Part Primitives command. With that command you can specify the dimensions and placement at creation time.

Properties

See also: Property editor.

A Part Box object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Attachment

The object has the same attachment properties as a Part Part2DObject.

Box

  • ÚdajeLength (Length): The length of the box. This is the dimension in its X direction. The default is 10mm.
  • ÚdajeWidth (Length): The width of the box. This is the dimension in its Y direction. The default is 10mm.
  • ÚdajeHeight (Length): The height of the box. This is dimension in its Z direction. The default is 10mm.

Scripting

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Box can be created with the addObject() method of the document:

box = FreeCAD.ActiveDocument.addObject("Part::Box", "myBox")
  • Where "myBox" is the name for the object.
  • The function returns the newly created object.

Example:

import FreeCAD as App

doc = App.activeDocument()

box = doc.addObject("Part::Box", "myBox")
box.Length = 4
box.Width = 8
box.Height = 12
box.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(75, 60, 30))

doc.recompute()